%global __provides_exclude perl\\(LW2\\)

Summary:	Web Server and CGI Scanner
Name:		nikto
Version:	2.5.0
Release:	%mkrel 2
License:	GPL
Group:		Security
URL:		https://www.cirt.net/code/nikto.shtml
Source:		https://github.com/sullo/nikto/archive/refs/tags/%{version}.tar.gz
BuildArch:	noarch

%description
Nikto is a web server scanner which performs comprehensive tests against web
servers for multiple items, including over 3200 potentially dangerous
files/CGIs, versions on over 625 servers, and version specific problems on over
230 servers. Scan items and plugins are frequently updated and can be
automatically updated (if desired).

%prep
%setup -qn %{name}-%{version}
%autopatch -p1

perl -pi \
    -e 's|^# EXECDIR=\S+|EXECDIR=%{_bindir}|;'                      \
    -e 's|^# PLUGINDIR=\S+|PLUGINDIR=%{_datadir}/nikto/plugins|;'     \
    -e 's|^# DBDIR=\S+|DBDIR=%{_datadir}/nikto/databases|;'       \
    -e 's|^# TEMPLATEDIR=\S+|TEMPLATEDIR=%{_datadir}/nikto/templates|;' \
    -e 's|^# DOCDIR=\S+|DOCDIR=%{_docdir}|;'                       \
    program/nikto.conf
perl -pi \
    -e 's|/usr/local/bin/nikto|%{_bindir}/nikto|;' \
    documentation/nikto.1

%build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m0755 program/nikto.pl %{buildroot}%{_bindir}/nikto

install -d -m 755 %{buildroot}%{_sysconfdir}
install -m0644 program/nikto.conf.default %{buildroot}%{_sysconfdir}/nikto.conf

install -d -m 755 %{buildroot}%{_datadir}/nikto
cp -pr program/plugins %{buildroot}%{_datadir}/nikto
cp -pr program/templates %{buildroot}%{_datadir}/nikto
cp -pr program/databases %{buildroot}%{_datadir}/nikto

install -d %{buildroot}%{_mandir}/man1
install -m0644 documentation/nikto.1 %{buildroot}%{_mandir}/man1

%files
%doc README.md
%config(noreplace) %{_sysconfdir}/nikto.conf
%{_datadir}/nikto
%{_bindir}/nikto
%{_mandir}/man1/nikto.1*






%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.5.0-2.mga10
+ Revision: 2227271
- Mageia 10 Mass Rebuild

* Wed Aug 28 2024 mrambo3501 <mrambo3501> 2.5.0-1.mga10
+ Revision: 2092097
- version 2.5.0
- delete upstreamed Patch0
- fix Source
- fix setup for new tarball name
- change to autopatch
- fix conf file handling

* Sun Mar 20 2022 umeabot <umeabot> 2.1.6-5.mga9
+ Revision: 1808114
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.1.6-4.mga8
+ Revision: 1502269
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.1.6-3.mga7
+ Revision: 1280142
- Mageia 7 Mass Rebuild

* Tue Jun 26 2018 guillomovitch <guillomovitch> 2.1.6-2.mga7
+ Revision: 1239900
- add upstream patch to fix CVE-2018-11652

* Tue Jun 26 2018 guillomovitch <guillomovitch> 2.1.6-1.mga7
+ Revision: 1239891
- new version 2.1.6

* Mon Feb 08 2016 umeabot <umeabot> 2.1.5-9.mga6
+ Revision: 942712
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.5-8.mga5
+ Revision: 743591
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.5-7.mga5
+ Revision: 682889
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 tv <tv> 2.1.5-6.mga4
+ Revision: 511119
- submit to core/release!

* Fri Oct 18 2013 tv <tv> 2.1.5-5.mga4
+ Revision: 510310
- description != license tag

* Fri Oct 18 2013 umeabot <umeabot> 2.1.5-4.mga4
+ Revision: 508294
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 tv <tv> 2.1.5-2.mga3
+ Revision: 307673
- patch 1: fix path in man page
- use %%apply_patches

* Tue Oct 16 2012 guillomovitch <guillomovitch> 2.1.5-1.mga3
+ Revision: 307119
- new version
- switch to security group

* Tue Jul 19 2011 guillomovitch <guillomovitch> 2.1.4-3.mga2
+ Revision: 126493
- imported package nikto


* Thu Jul 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.4-3mdv2011
+ Revision: 689086
- switch group to monitoring, as other security-related tools

* Sat May 14 2011 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.4-2
+ Revision: 674553
- fix  configuration file location

* Mon Feb 28 2011 Lonyai Gergely <aleph@mandriva.org> 2.1.4-1
+ Revision: 641049
- 2.1.4

* Fri Nov 19 2010 Lonyai Gergely <aleph@mandriva.org> 2.1.3-1mdv2011.0
+ Revision: 599045
- 2.1.3

* Tue Apr 20 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.1-1mdv2010.1
+ Revision: 536971
- new version
- install plugins as data, not configuration
- install binary under %%{_bindir}, as root usage is not mandatory
- use standard exec permissions

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.35-5mdv2010.0
+ Revision: 430173
- rebuild

* Tue Jul 29 2008 Thierry Vignaud <tv@mandriva.org> 1.35-4mdv2009.0
+ Revision: 253954
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.35-2mdv2008.1
+ Revision: 136631
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1.35-2mdv2007.0
+ Revision: 89746
- Import nikto

* Sun Nov 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.35-2mdk
- added a softlink to make nikto -update work

* Wed Nov 16 2005 Oden Eriksson <oeriksson@mandriva.com> 1.35-1mdk
- initial Mandriva package

